Skip to main content
POST
Create association definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required
objectType
string
required

Body

application/json
fromObjectTypeId
string
required
toObjectTypeId
string
required
name
string

Response

successful operation

The definition of an association

fromObjectTypeId
string
required

The ID of the source object type (e.g., 0-1 for contacts).

id
string
required

The unique ID of the associated object (e.g., a contact ID).

toObjectTypeId
string
required

The ID of the destination object type (e.g., 0-3 for deals).

createdAt
string<date-time>

The timestamp when the association was created, in ISO 8601 format.

name
string

For labeled association types, the internal name of the association.

updatedAt
string<date-time>

The timestamp when the last update was made to an association, in ISO 8601 format.

Last modified on September 3, 2026